package com.liquidnet.service.consumer.kylin.receiver;

import com.liquidnet.service.base.constant.MQConst;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class ConsumerGalaxySqlSeriesInfoReceiver extends AbstractSqlRedisReceiver {

    @Override
    protected String getRedisStreamKey() {
        return MQConst.GalaxyQueue.SQL_SERIES_INFO.getKey();
    }

    @Override
    protected String getRedisStreamGroup() {
        return MQConst.GalaxyQueue.SQL_SERIES_INFO.getGroup();
    }
}
